VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
HostProcessData Class Reference
Common Hosting SDK Implementation Helper Classes

Implementation's example of ProcessData. More...

`#include <processdata.h>`

Inheritance diagram for HostProcessData:

## Public Member Functions
| HostProcessData ()
virtual | ~HostProcessData ()
bool | prepare (IComponent &component, int32 bufferSamples, int32 _symbolicSampleSize)
| Prepare buffer containers for all buses. More...
void | unprepare ()
| Remove bus buffers. More...
void | setChannelBuffers (BusDirection dir, int32 busIndex, Sample32 *sampleBuffer)
| Sets one sample buffer for all channels inside a bus. More...
void | setChannelBuffers64 (BusDirection dir, int32 busIndex, Sample64 *sampleBuffer)
void | setChannelBuffers (BusDirection dir, int32 busIndex, Sample32 *sampleBuffers[], int32 bufferCount)
| Sets individual sample buffers per channel inside a bus. More...
void | setChannelBuffers64 (BusDirection dir, int32 busIndex, Sample64 *sampleBuffers[], int32 bufferCount)
void | setChannelBuffer (BusDirection dir, int32 busIndex, int32 channelIndex, Sample32 *sampleBuffer)
| Sets one sample buffer for a given channel inside a bus. More...
void | setChannelBuffer64 (BusDirection dir, int32 busIndex, int32 channelIndex, Sample64 *sampleBuffer)
Public Member Functions inherited from ProcessData
| ProcessData ()

## Static Public Attributes
static const uint64 | kAllChannelsSilent

## Protected Member Functions
int32 | createBuffers (IComponent &component, AudioBusBuffers *&buffers, BusDirection dir, int32 bufferSamples)
void | destroyBuffers (AudioBusBuffers *&buffers, int32 &busCount)
bool | checkIfReallocationNeeded (IComponent &component, int32 bufferSamples, int32 _symbolicSampleSize)

## Protected Attributes
bool | channelBufferOwner

## Additional Inherited Members
Public Attributes inherited from ProcessData
int32 | processMode
int32 | symbolicSampleSize
int32 | numSamples
int32 | numInputs
int32 | numOutputs
AudioBusBuffers * | inputs
AudioBusBuffers * | outputs
IParameterChanges * | inputParameterChanges
IParameterChanges * | outputParameterChanges
IEventList * | inputEvents
IEventList * | outputEvents
ProcessContext * | processContext

## Detailed Description

Implementation's example of ProcessData.

## Constructor & Destructor Documentation

HostProcessData | ( |  | ) |
| inline

~HostProcessData | ( |  | ) |
| virtual

## Member Function Documentation

bool prepare | ( | IComponent & | component,
|  | int32 | bufferSamples,
|  | int32 | _symbolicSampleSize
| ) |  |

Prepare buffer containers for all buses.

If bufferSamples is not null buffers will be created.

void unprepare | ( |  | ) |

Remove bus buffers.

void setChannelBuffers | ( | BusDirection | dir,
|  | int32 | busIndex,
|  | Sample32 * | sampleBuffer
| ) |  |
| inline

Sets one sample buffer for all channels inside a bus.

void setChannelBuffers64 | ( | BusDirection | dir,
|  | int32 | busIndex,
|  | Sample64 * | sampleBuffer
| ) |  |
| inline

void setChannelBuffers | ( | BusDirection | dir,
|  | int32 | busIndex,
|  | Sample32 * | sampleBuffers[],
|  | int32 | bufferCount
| ) |  |
| inline

Sets individual sample buffers per channel inside a bus.

void setChannelBuffers64 | ( | BusDirection | dir,
|  | int32 | busIndex,
|  | Sample64 * | sampleBuffers[],
|  | int32 | bufferCount
| ) |  |
| inline

void setChannelBuffer | ( | BusDirection | dir,
|  | int32 | busIndex,
|  | int32 | channelIndex,
|  | Sample32 * | sampleBuffer
| ) |  |
| inline

Sets one sample buffer for a given channel inside a bus.

void setChannelBuffer64 | ( | BusDirection | dir,
|  | int32 | busIndex,
|  | int32 | channelIndex,
|  | Sample64 * | sampleBuffer
| ) |  |
| inline

int32 createBuffers | ( | IComponent & | component,
|  | AudioBusBuffers *& | buffers,
|  | BusDirection | dir,
|  | int32 | bufferSamples
| ) |  |
| protected

void destroyBuffers | ( | AudioBusBuffers *& | buffers,
|  | int32 & | busCount
| ) |  |
| protected

bool checkIfReallocationNeeded | ( | IComponent & | component,
|  | int32 | bufferSamples,
|  | int32 | _symbolicSampleSize
| ) |  |
| protected

## Member Data Documentation

const uint64 kAllChannelsSilent
| static

Initial value:
=
0xffffffffffffffffUL

bool channelBufferOwner
| protected

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.